/* 
 * ss: Start ScreenSaver framework
 *
 * Cocoa program to launch the ScreenSaver framework, derived from a hint in
 * the macosxhints forums.  Part of the bgscreensaver 1.1 Application.
 * (http://forums.macosxhints.com/showthread.php?s=&threadid=30968)
 *
 * Requires:
 * MacOS X 10.3 Jaguar
 * MacOS X Developer Tools installed
 *
 * To compile: 
 * make (uses accompanying Makefile)

 * To compile manually:
 * osacompile -o bgscreensaver\ 1.1.app bgscreensaver-script.scpt
 * gcc -framework ScreenSaver -framework Cocoa -o ss ss.m
 * cp ss ./bgscreensaver\ 1.1.app/Contents/MacOS
 * cp bgscreensaver.icns ./bgscreensaver\ 1.1.app/Contents/Resources/applet.icns
 *
 * Disclaimer:
 * No warranty expressed or implied for any particular purpose.
 *
 *
 * Brian Sheehan, May 20 2005, sheehan@bgstech.com
 *
 */

#import <Cocoa/Cocoa.h>

@interface ScreenSaverController:NSObject
+ controller;
@end

@protocol ScreenSaverControl
- (void)screenSaverStopNow;
- (void)screenSaverStartNow;
@end

int main(int argc, char *argv[])
{
    NSAutoreleasePool     *p  = [[NSAutoreleasePool alloc] init];
    [[ScreenSaverController controller] screenSaverStartNow];
    [p release];
    return 0;
}
